Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.quick.engine
Class QDocImpl

    java.lang.Object
      |
      +--com.jxml.quick.engine.QDocImpl

All Implemented Interfaces:
  QDoc

public final class QDocImpl
extends Object
implements QDoc

Inner Class Summary
`static class` | `QDocImpl.Mark`

Field Summary
`ClassLoader` | `cl`
`QContextPool` | `pool`

Constructor Summary
`QDocImpl()`
`QDocImpl(QContext context)`

Method Summary
`void` | `addPostParse(PostParse postParse)`
`QContext` | `allocateContext()`
`void` | `createHRef(Object key, String schema, String href, String expects)`
`QSoftDocHash` | `getDocHash()`
`HRef` | `getHRef(Object key)`
`String` | `getId(Object value)`
`String` | `getKey()`
`QMeta` | `getMeta(Object key)`
`Object` | `getRoot()`
`QDoc` | `getSchema()`
`Object` | `getValue(String id)`
`boolean` | `isKnown(Object value)`
`boolean` | `isMarked(Object value)`
`void` | `mark(Object value)`
`void` | `postParse()`
`void` | `releaseContext(QContext context)`
`void` | `setId(String id, Object value)`
`void` | `setKey(String key)`
`QMeta` | `setMeta(Object key, QMeta value)`
`void` | `setRoot(Object object)`
`void` | `setSchema(QDoc schema)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### pool

    public QContextPool pool

### cl

    public ClassLoader cl

Constructor Detail

### QDocImpl

    public QDocImpl()

### QDocImpl

    public QDocImpl(QContext context)

Method Detail

### getRoot

    public Object getRoot()

  Specified by:
    `getRoot` in interface `QDoc`

### setRoot

    public void setRoot(Object object)

  Specified by:
    `setRoot` in interface `QDoc`

### setId

    public void setId(String id,
                      Object value)
               throws QPE

  Specified by:
    `setId` in interface `QDoc`

### isKnown

    public boolean isKnown(Object value)

  Specified by:
    `isKnown` in interface `QDoc`

### getId

    public String getId(Object value)
                 throws QPE

  Specified by:
    `getId` in interface `QDoc`

### getValue

    public Object getValue(String id)

  Specified by:
    `getValue` in interface `QDoc`

### isMarked

    public boolean isMarked(Object value)

  Specified by:
    `isMarked` in interface `QDoc`

### mark

    public void mark(Object value)

### allocateContext

    public QContext allocateContext()
                             throws SAXException

  Specified by:
    `allocateContext` in interface `QDoc`

### releaseContext

    public void releaseContext(QContext context)

  Specified by:
    `releaseContext` in interface `QDoc`

### getSchema

    public QDoc getSchema()

  Specified by:
    `getSchema` in interface `QDoc`

### setSchema

    public void setSchema(QDoc schema)

  Specified by:
    `setSchema` in interface `QDoc`

### getKey

    public String getKey()

  Specified by:
    `getKey` in interface `QDoc`

### setKey

    public void setKey(String key)

  Specified by:
    `setKey` in interface `QDoc`

### setMeta

    public QMeta setMeta(Object key,
                         QMeta value)

  Specified by:
    `setMeta` in interface `QDoc`

### getMeta

    public QMeta getMeta(Object key)

  Specified by:
    `getMeta` in interface `QDoc`

### getHRef

    public HRef getHRef(Object key)

  Specified by:
    `getHRef` in interface `QDoc`

### createHRef

    public void createHRef(Object key,
                           String schema,
                           String href,
                           String expects)

  Specified by:
    `createHRef` in interface `QDoc`

### getDocHash

    public QSoftDocHash getDocHash()

  Specified by:
    `getDocHash` in interface `QDoc`

### addPostParse

    public void addPostParse(PostParse postParse)

### postParse

    public void postParse()
                   throws QPE

  Specified by:
    `postParse` in interface `QDoc`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD